This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Quota Service

Overview

Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.

This guide provides a brief description of Quota service and how to call API. The API is provided as a RESTful API, and it responds in JSON format.

Version

VersionStatusSupported Until
1.0DEPRECATED20260223
1.1DEPRECATED20260223
1.2CURRENT-

OpenAPI URL

https://quota.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - ListAccountQuota

1.1.1 - 1.2

get /v1/account-quotas

Description

get account quota list

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryrequest_class
optional
Request Class
Example : Account
any of [string, null]None
queryservice
optional
Service Name
Example : IAM
any of [string, null]None
queryquota_item
optional
Quota Item Name
Example : QUOTA.REQUEST.COUNT
any of [string, null]None
querydescription
optional
Description
Example : Virtual Server disk max size
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKAccountQuotaListResponseV1dot1
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/account-quotas

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quota 1.2"

Example HTTP response

Response 200

{
    "account_quotas": [
        {
            "account_id": "2b7ed60576ce404bbc734266ff1839a5",
            "account_name": "Example Account Inc.",
            "adjustable": true,
            "applied_value": 200,
            "approval": false,
            "class_value": "Global",
            "created_at": "2024-05-17T00:23:17Z",
            "description": "Maximum disk size for virtual servers in the account",
            "free_rate": 10,
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "initial_value": 100,
            "max_per_account": 1000,
            "modified_at": "2024-05-17T00:23:17Z",
            "quota_item": "QUOTA.REQUEST.COUNT",
            "reduction": false,
            "request": false,
            "request_class": "Account",
            "resource_type": "account-quota",
            "service": "Virtual Server",
            "srn": "srn:s::1651c68f8c664df580b55fa12345678:::quota:account-quota/9b088c6bc57c4a50a4620fb312345678",
            "unit": "GB"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.1.2 - 1.1

get /v1/account-quotas

Description

get account quota list

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260223

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryrequest_class
optional
Request Class
Example : Account
any of [string, null]None
queryservice
optional
Service Name
Example : IAM
any of [string, null]None
queryquota_item
optional
Quota Item Name
Example : QUOTA.REQUEST.COUNT
any of [string, null]None
querydescription
optional
Description
Example : Virtual Server disk max size
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKAccountQuotaListResponseV1dot1
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/account-quotas

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quota 1.1"

Example HTTP response

Response 200

{
    "account_quotas": [
        {
            "account_id": "2b7ed60576ce404bbc734266ff1839a5",
            "account_name": "Example Account Inc.",
            "adjustable": true,
            "applied_value": 200,
            "approval": false,
            "class_value": "Global",
            "created_at": "2024-05-17T00:23:17Z",
            "description": "Maximum disk size for virtual servers in the account",
            "free_rate": 10,
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "initial_value": 100,
            "max_per_account": 1000,
            "modified_at": "2024-05-17T00:23:17Z",
            "quota_item": "QUOTA.REQUEST.COUNT",
            "reduction": false,
            "request": false,
            "request_class": "Account",
            "resource_type": "account-quota",
            "service": "Virtual Server",
            "srn": "srn:s::1651c68f8c664df580b55fa12345678:::quota:account-quota/9b088c6bc57c4a50a4620fb312345678",
            "unit": "GB"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.1.3 - 1.0

get /v1/account-quotas

Description

get account quota list

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020260223

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryrequest_class
optional
Request Class
Example : Account
any of [string, null]None
queryservice
optional
Service Name
Example : IAM
any of [string, null]None
queryquota_item
optional
Quota Item Name
Example : QUOTA.REQUEST.COUNT
any of [string, null]None
querydescription
optional
Description
Example : Virtual Server disk max size
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKAccountQuotaListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/account-quotas

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quota 1.0"

Example HTTP response

Response 200

{
    "account_quotas": [
        {
            "account_id": "2b7ed60576ce404bbc734266ff1839a5",
            "account_name": "Example Account Inc.",
            "adjustable": true,
            "applied_value": 200,
            "approval": false,
            "class_value": "Global",
            "created_at": "2024-05-17T00:23:17Z",
            "description": "Maximum disk size for virtual servers in the account",
            "free_rate": 10,
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "initial_value": 100,
            "modified_at": "2024-05-17T00:23:17Z",
            "quota_item": "QUOTA.REQUEST.COUNT",
            "reduction": false,
            "request": false,
            "request_class": "Account",
            "resource_type": "account-quota",
            "service": "Virtual Server",
            "srn": "srn:s::1651c68f8c664df580b55fa12345678:::quota:account-quota/9b088c6bc57c4a50a4620fb312345678",
            "unit": "GB"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.2 - ListQuotaRequests

1.2.1 - 1.2

get /v1/quota-requests

Description

get quota requests list

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryservice
optional
Service Name
Example : Virtual Server
any of [string, null]None
queryquota_item
optional
Quota Item Name
Example : QUOTA.REQUEST.COUNT
any of [string, null]None
queryrequester
optional
Requester Information
Example : cloud.kim
any of [string, null]None
queryrequest_class
optional
Request Class
Example : Account
any of [string, null]None
queryrequested_start_at
optional
Start date of the request
Example : 2024-05-01
any of [string (date-time), null]None
queryrequested_end_at
optional
End date of the request
Example : 2024-05-31
any of [string (date-time), null]None
queryapplied_start_at
optional
Start date of the application
Example : 2024-05-01
any of [string (date-time), null]None
queryapplied_end_at
optional
End date of the application
Example : 2024-05-31
any of [string (date-time), null]None
querystate
optional
Request State
Example : BEFORE_APPROVE
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKQuotaRequestListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/quota-requests

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quota 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "quota_requests": [
        {
            "applied_at": "2024-05-17T00:23:17Z",
            "applied_value": 200,
            "approval_message": "Quota increase request message.",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "free_rate": 10,
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "initial_value": 100,
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "quota_item": "QUOTA.REQUEST.COUNT",
            "request_class": "Account",
            "request_message": "Quota increase request message.",
            "request_value": 300,
            "requester": "cloudkim",
            "service": "Virtual Server",
            "state": "BEFORE_APPROVE",
            "unit": "GB"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.2.2 - 1.1

get /v1/quota-requests

Description

get quota requests list

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260223

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryservice
optional
Service Name
Example : Virtual Server
any of [string, null]None
queryquota_item
optional
Quota Item Name
Example : QUOTA.REQUEST.COUNT
any of [string, null]None
queryrequester
optional
Requester Information
Example : cloud.kim
any of [string, null]None
queryrequest_class
optional
Request Class
Example : Account
any of [string, null]None
queryrequested_start_at
optional
Start date of the request
Example : 2024-05-01
any of [string (date-time), null]None
queryrequested_end_at
optional
End date of the request
Example : 2024-05-31
any of [string (date-time), null]None
queryapplied_start_at
optional
Start date of the application
Example : 2024-05-01
any of [string (date-time), null]None
queryapplied_end_at
optional
End date of the application
Example : 2024-05-31
any of [string (date-time), null]None
querystate
optional
Request State
Example : BEFORE_APPROVE
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKQuotaRequestListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/quota-requests

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quota 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "quota_requests": [
        {
            "applied_at": "2024-05-17T00:23:17Z",
            "applied_value": 200,
            "approval_message": "Quota increase request message.",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "free_rate": 10,
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "initial_value": 100,
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "quota_item": "QUOTA.REQUEST.COUNT",
            "request_class": "Account",
            "request_message": "Quota increase request message.",
            "request_value": 300,
            "requester": "cloudkim",
            "service": "Virtual Server",
            "state": "BEFORE_APPROVE",
            "unit": "GB"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.2.3 - 1.0

get /v1/quota-requests

Description

get quota requests list

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020260223

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryservice
optional
Service Name
Example : Virtual Server
any of [string, null]None
queryquota_item
optional
Quota Item Name
Example : QUOTA.REQUEST.COUNT
any of [string, null]None
queryrequester
optional
Requester Information
Example : cloud.kim
any of [string, null]None
queryrequest_class
optional
Request Class
Example : Account
any of [string, null]None
queryrequested_start_at
optional
Start date of the request
Example : 2024-05-01
any of [string (date-time), null]None
queryrequested_end_at
optional
End date of the request
Example : 2024-05-31
any of [string (date-time), null]None
queryapplied_start_at
optional
Start date of the application
Example : 2024-05-01
any of [string (date-time), null]None
queryapplied_end_at
optional
End date of the application
Example : 2024-05-31
any of [string (date-time), null]None
querystate
optional
Request State
Example : BEFORE_APPROVE
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKQuotaRequestListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/quota-requests

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quota 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "quota_requests": [
        {
            "applied_at": "2024-05-17T00:23:17Z",
            "applied_value": 200,
            "approval_message": "Quota increase request message.",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "free_rate": 10,
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "initial_value": 100,
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "quota_item": "QUOTA.REQUEST.COUNT",
            "request_class": "Account",
            "request_message": "Quota increase request message.",
            "request_value": 300,
            "requester": "cloudkim",
            "service": "Virtual Server",
            "state": "BEFORE_APPROVE",
            "unit": "GB"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.3 - ShowAccountQuota

1.3.1 - 1.2

get /v1/account-quotas/{account_quota_id}

Description

show a specific account quota

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathaccount_quota_id
required
Account Quota ID
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKAccountQuotaShowResponseV1dot1
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/account-quotas/{account_quota_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quota 1.2"

Example HTTP response

Response 200

{
    "account_quota": {
        "account_id": "2b7ed60576ce404bbc734266ff1839a5",
        "account_name": "Example Account Inc.",
        "adjustable": true,
        "applied_value": 200,
        "approval": false,
        "class_value": "Global",
        "created_at": "2024-05-17T00:23:17Z",
        "description": "Maximum disk size for virtual servers in the account",
        "free_rate": 10,
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "initial_value": 100,
        "max_per_account": 1000,
        "modified_at": "2024-05-17T00:23:17Z",
        "quota_item": "QUOTA.REQUEST.COUNT",
        "reduction": false,
        "request": false,
        "request_class": "Account",
        "resource_type": "account-quota",
        "service": "Virtual Server",
        "srn": "srn:s::1651c68f8c664df580b55fa12345678:::quota:account-quota/9b088c6bc57c4a50a4620fb312345678",
        "unit": "GB"
    }
}

1.3.2 - 1.1

get /v1/account-quotas/{account_quota_id}

Description

show a specific account quota

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260223

Parameters

TypeNameDescriptionSchemaDefault
pathaccount_quota_id
required
Account Quota ID
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKAccountQuotaShowResponseV1dot1
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/account-quotas/{account_quota_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quota 1.1"

Example HTTP response

Response 200

{
    "account_quota": {
        "account_id": "2b7ed60576ce404bbc734266ff1839a5",
        "account_name": "Example Account Inc.",
        "adjustable": true,
        "applied_value": 200,
        "approval": false,
        "class_value": "Global",
        "created_at": "2024-05-17T00:23:17Z",
        "description": "Maximum disk size for virtual servers in the account",
        "free_rate": 10,
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "initial_value": 100,
        "max_per_account": 1000,
        "modified_at": "2024-05-17T00:23:17Z",
        "quota_item": "QUOTA.REQUEST.COUNT",
        "reduction": false,
        "request": false,
        "request_class": "Account",
        "resource_type": "account-quota",
        "service": "Virtual Server",
        "srn": "srn:s::1651c68f8c664df580b55fa12345678:::quota:account-quota/9b088c6bc57c4a50a4620fb312345678",
        "unit": "GB"
    }
}

1.3.3 - 1.0

get /v1/account-quotas/{account_quota_id}

Description

show a specific account quota

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020260223

Parameters

TypeNameDescriptionSchemaDefault
pathaccount_quota_id
required
Account Quota ID
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKAccountQuotaShowResponse
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/account-quotas/{account_quota_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quota 1.0"

Example HTTP response

Response 200

{
    "account_quota": {
        "account_id": "2b7ed60576ce404bbc734266ff1839a5",
        "account_name": "Example Account Inc.",
        "adjustable": true,
        "applied_value": 200,
        "approval": false,
        "class_value": "Global",
        "created_at": "2024-05-17T00:23:17Z",
        "description": "Maximum disk size for virtual servers in the account",
        "free_rate": 10,
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "initial_value": 100,
        "modified_at": "2024-05-17T00:23:17Z",
        "quota_item": "QUOTA.REQUEST.COUNT",
        "reduction": false,
        "request": false,
        "request_class": "Account",
        "resource_type": "account-quota",
        "service": "Virtual Server",
        "srn": "srn:s::1651c68f8c664df580b55fa12345678:::quota:account-quota/9b088c6bc57c4a50a4620fb312345678",
        "unit": "GB"
    }
}

1.4 - ShowQuotaRequest

1.4.1 - 1.2

get /v1/quota-requests/{request_id}

Description

show a specific quota request

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathrequest_id
required
Request ID
Example : 0c2a06f2f06d42248a6bb88b1a78d4cc
stringNone

Responses

HTTP CodeDescriptionSchema
200OKQuotaRequestShowResponse
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/quota-requests/{request_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quota 1.2"

Example HTTP response

Response 200

{
    "quota_request": {
        "account_quota_id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "applied_at": "2024-05-17T00:23:17Z",
        "applied_value": 200,
        "approval_message": "Quota increase request message.",
        "class_value": "Global",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Maximum disk size for virtual servers in the account",
        "free_rate": 10,
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "initial_value": 100,
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "quota_item": "QUOTA.REQUEST.COUNT",
        "reduction": false,
        "request_message": "Quota increase request message.",
        "request_value": 300,
        "requester": "cloudkim",
        "state": "BEFORE_APPROVE",
        "unit": "GB"
    }
}

1.4.2 - 1.1

get /v1/quota-requests/{request_id}

Description

show a specific quota request

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260223

Parameters

TypeNameDescriptionSchemaDefault
pathrequest_id
required
Request ID
Example : 0c2a06f2f06d42248a6bb88b1a78d4cc
stringNone

Responses

HTTP CodeDescriptionSchema
200OKQuotaRequestShowResponse
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/quota-requests/{request_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quota 1.1"

Example HTTP response

Response 200

{
    "quota_request": {
        "account_quota_id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "applied_at": "2024-05-17T00:23:17Z",
        "applied_value": 200,
        "approval_message": "Quota increase request message.",
        "class_value": "Global",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Maximum disk size for virtual servers in the account",
        "free_rate": 10,
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "initial_value": 100,
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "quota_item": "QUOTA.REQUEST.COUNT",
        "reduction": false,
        "request_message": "Quota increase request message.",
        "request_value": 300,
        "requester": "cloudkim",
        "state": "BEFORE_APPROVE",
        "unit": "GB"
    }
}

1.4.3 - 1.0

get /v1/quota-requests/{request_id}

Description

show a specific quota request

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020260223

Parameters

TypeNameDescriptionSchemaDefault
pathrequest_id
required
Request ID
Example : 0c2a06f2f06d42248a6bb88b1a78d4cc
stringNone

Responses

HTTP CodeDescriptionSchema
200OKQuotaRequestShowResponse
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/quota-requests/{request_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quota 1.0"

Example HTTP response

Response 200

{
    "quota_request": {
        "account_quota_id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "applied_at": "2024-05-17T00:23:17Z",
        "applied_value": 200,
        "approval_message": "Quota increase request message.",
        "class_value": "Global",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Maximum disk size for virtual servers in the account",
        "free_rate": 10,
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "initial_value": 100,
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "quota_item": "QUOTA.REQUEST.COUNT",
        "reduction": false,
        "request_message": "Quota increase request message.",
        "request_value": 300,
        "requester": "cloudkim",
        "state": "BEFORE_APPROVE",
        "unit": "GB"
    }
}

2 - Models

2.1 - AccountQuota

NameDescriptionSchemaDefault
account_id
required
Unique identifier for the account
Example : 2b7ed60576ce404bbc734266ff1839a5
string
account_name
required
Name of the account
Example : Example Account Inc.
string
adjustable
required
Flag indicating if additional quota is being requested
Example : True
boolean
applied_value
optional
Modified quota value after changes
Example : 200
any of [integer, null]
approval
required
Approval
Example : False
boolean
class_value
required
Value associated with the request class
Example : Global
string
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
description
required
Detailed description of the quota item
Example : Maximum disk size for virtual servers in the account
string
free_rate
required
Free Rate
Example : 10
integer
id
required
Account Quota ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
initial_value
required
Initial quota value allocated
Example : 100
integer
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
quota_item
required
Specific quota item within the resource
Example : QUOTA.REQUEST.COUNT
string
reduction
optional
Reduction
Example : False
boolean
request
optional
Request
Example : False
boolean
request_class
required
Request Class
Example : Account
string
resource_type
required
Type of the resource
Example : account-quota
string
service
required
Name of the service to which quota applies
Example : Virtual Server
string
srn
required
Service Resource Name for the quota item
Example : srn:s::1651c68f8c664df580b55fa12345678:::quota:account-quota/9b088c6bc57c4a50a4620fb312345678
string
unit
required
Unit in which the quota value is measured
Example : GB
string

2.2 - AccountQuota1dot1

NameDescriptionSchemaDefault
account_id
required
Unique identifier for the account
Example : 2b7ed60576ce404bbc734266ff1839a5
string
account_name
required
Name of the account
Example : Example Account Inc.
string
adjustable
required
Flag indicating if additional quota is being requested
Example : True
boolean
applied_value
optional
Modified quota value after changes
Example : 200
any of [integer, null]
approval
required
Approval
Example : False
boolean
class_value
required
Value associated with the request class
Example : Global
string
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
description
required
Detailed description of the quota item
Example : Maximum disk size for virtual servers in the account
string
free_rate
required
Free Rate
Example : 10
integer
id
required
Account Quota ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
initial_value
required
Initial quota value allocated
Example : 100
integer
max_per_account
required
Max per Account Value
Example : 1000
Minimum : 1
Maximum : 999999999
integer
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
quota_item
required
Specific quota item within the resource
Example : QUOTA.REQUEST.COUNT
string
reduction
optional
Reduction
Example : False
boolean
request
optional
Request
Example : False
boolean
request_class
required
Request Class
Example : Account
string
resource_type
required
Type of the resource
Example : account-quota
string
service
required
Name of the service to which quota applies
Example : Virtual Server
string
srn
required
Service Resource Name for the quota item
Example : srn:s::1651c68f8c664df580b55fa12345678:::quota:account-quota/9b088c6bc57c4a50a4620fb312345678
string
unit
required
Unit in which the quota value is measured
Example : GB
string

2.3 - AccountQuotaListResponse

NameDescriptionSchemaDefault
account_quotas
required

array[AccountQuota]
count
required
count
Example : 20
integer
page
required
page
Example : 0
integer
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]

2.4 - AccountQuotaListResponseV1dot1

NameDescriptionSchemaDefault
account_quotas
required

array[AccountQuota1dot1]
count
required
count
Example : 20
integer
page
required
page
Example : 0
integer
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]

2.5 - AccountQuotaShowResponse

NameDescriptionSchemaDefault
account_quota
required

AccountQuota

2.6 - AccountQuotaShowResponseV1dot1

NameDescriptionSchemaDefault
account_quota
required

AccountQuota1dot1

2.7 - QuotaRequest

NameDescriptionSchemaDefault
applied_at
optional
Applied At
Example : 2024-05-17T00:23:17Z
any of [string (date-time), null]
applied_value
required
Applied Value
Example : 200
any of [integer, null]
approval_message
optional
Request message
Example : Quota increase request message.
any of [string, null]
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
free_rate
optional
Free Rate
Example : 10
any of [integer, null]
id
required
ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
initial_value
required
Initial Value
Example : 100
integer
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
quota_item
required
Quota Item Name
Example : QUOTA.REQUEST.COUNT
string
request_class
required
Request Class
Example : Account
string
request_message
required
Request message
Example : Quota increase request message.
string
request_value
required
User Request Value
Example : 300
integer
requester
required
Requester
Example : cloudkim
string
service
required
Service Name
Example : Virtual Server
string
state
required
Request State
Example : BEFORE_APPROVE
enum (BEFORE_APPROVE, PARTIAL_APPROVED, REFUSED, HOLDING, APPROVED, AUTO_REDUCED)
unit
required
Unit in which the quota value is measured
Example : GB
string

2.8 - QuotaRequestDetail

NameDescriptionSchemaDefault
account_quota_id
required
Account Quota ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
applied_at
optional
Applied At
Example : 2024-05-17T00:23:17Z
any of [string (date-time), null]
applied_value
required
Applied Value
Example : 200
any of [integer, null]
approval_message
optional
Request message
Example : Quota increase request message.
any of [string, null]
class_value
required
Value associated with the request class
Example : Global
string
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
description
required
Detailed description of the quota item
Example : Maximum disk size for virtual servers in the account
string
free_rate
optional
Free Rate
Example : 10
any of [integer, null]
id
required
ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
initial_value
required
Initial Value
Example : 100
integer
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
quota_item
required
Quota Item Name
Example : QUOTA.REQUEST.COUNT
string
reduction
required
Reduction
Example : False
boolean
request_message
required
Request message
Example : Quota increase request message.
string
request_value
required
User Request Value
Example : 300
integer
requester
required
Requester
Example : cloudkim
string
state
required
Request State
Example : BEFORE_APPROVE
enum (BEFORE_APPROVE, PARTIAL_APPROVED, REFUSED, HOLDING, APPROVED, AUTO_REDUCED)
unit
required
Unit in which the quota value is measured
Example : GB
string

2.9 - QuotaRequestListResponse

NameDescriptionSchemaDefault
count
required
count
Example : 20
integer
page
required
page
Example : 0
integer
quota_requests
required

array[QuotaRequest]
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]

2.10 - QuotaRequestShowResponse

NameDescriptionSchemaDefault
quota_request
required

QuotaRequestDetail